#!/bin/bash
set -x

NPM_VERSION=$(node -e "(function () { console.log(require('./package.json').version) })()")
NPM_NAME=$(node -e "(function () { console.log(require('./package.json').name) })()")
# 现网版本号
VERSION=0.6.17
# 产出文件名
NAME=plugin.tar.gz
# 产出目录，默认：脚本执行目录
DIST_PATH=`pwd`

cd $TMPDIR
# 清理历史目录
rm -rf $NPM_NAME/$NPM_VERSION
# 创建产出目录
mkdir -p $NPM_NAME/$NPM_VERSION
cd $NPM_NAME/$NPM_VERSION
pwd
# 安装包，@todo 目前保持老打包逻辑(安装方式)，这块是否可以考虑不安装直接使用项目构建产出
npm i $NPM_NAME@$NPM_VERSION
cd node_modules/$NPM_NAME
pwd
# 安装生产依赖
yarn --production
# 更换版本号为现网版本号 0.6.17
npm version $VERSION
# 打包
tar -zcvf $NAME ./*
# 拷贝到产出目录
mv ./$NAME $DIST_PATH